[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#420098: marked as done (tla-buildpackage: change module name tla_support to vcs_support)

Your message dated Sun, 22 Apr 2007 09:17:03 +0000
with message-id <E1HfYBr-0000M6-1D@ries.debian.org>
and subject line Bug#420098: fixed in tla-buildpackage 0.9.12
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: tla-buildpackage
Version: 0.9.11
Severity: grave
Tags: patch
Justification: renders package unusable


Changes in tla-load-dirs package makes this package unusable:

$ /usr/bin/tla-buildpackage
Traceback (most recent call last):
  File "/usr/bin/tla-buildpackage", line 21, in ?
    from tla_support import util
ImportError: No module named tla_support

Here is patch to fix this bug:

--- /usr/bin/tla-buildpackage.orig      2007-04-20 01:57:41.000000000 +0200
+++ /usr/bin/tla-buildpackage   2007-04-20 01:57:57.000000000 +0200
@@ -18,7 +18,7 @@

 import sys, os
-from tla_support import util
+from vcs_support import util
 from tbppy import versions, extcmd, tbpconfig
 util.verbose = 1

Gregory COLPART   GnuPG:1024D/C1027A0E
Evolix - Informatique et Logiciels Libres http://www.evolix.fr/

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux (SMP w/2 CPU cores)
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages tla-buildpackage depends on:
ii  devscripts               2.10.3          Scripts to make the life of a Debi
ii  dpkg-dev                 1.13.25         package building tools for Debian
ii  python                   2.4.4-2         An interactive high-level object-o
ii  python-apt               0.6.20          Python interface to libapt-pkg
ii  python-support           0.6.3           automated rebuilding support for p
ii  tla                      1.3.5+dfsg-9+b1 GNU Arch revision control system
ii  tla-load-dirs            1.1.4           Import upstream archives into tla/

tla-buildpackage recommends no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: tla-buildpackage
Source-Version: 0.9.12

We believe that the bug you reported is fixed in the latest version of
tla-buildpackage, which is due to be installed in the Debian FTP archive:

  to pool/main/t/tla-buildpackage/tla-buildpackage_0.9.12.dsc
  to pool/main/t/tla-buildpackage/tla-buildpackage_0.9.12.tar.gz
  to pool/main/t/tla-buildpackage/tla-buildpackage_0.9.12_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 420098@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Matej Vela <vela@debian.org> (supplier of updated tla-buildpackage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 22 Apr 2007 10:55:33 +0200
Source: tla-buildpackage
Binary: tla-buildpackage
Architecture: source all
Version: 0.9.12
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matej Vela <vela@debian.org>
 tla-buildpackage - Suite to help with Debian packages in Arch archives
Closes: 420098
 tla-buildpackage (0.9.12) unstable; urgency=low
   * QA upload.
   * Adapt to tla-load-dirs (>= 1.1.0).  Closes: #420098.
     - Use vcs_support instead of tla_support.  Thanks to Gregory Colpart
       for the preliminary patch.
 40756a0f782c80bbfc5053eb7067af29 682 devel optional tla-buildpackage_0.9.12.dsc
 106da6c299bd01fb5495b13f460d6622 229493 devel optional tla-buildpackage_0.9.12.tar.gz
 bbf44fc114d7817fbe204c3af54f6244 191450 devel optional tla-buildpackage_0.9.12_all.deb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: